Skip to content
Docs

Update an issuer policy

PATCHhttps://api.vercel.com/v1/kms/issuers/{issuerId}/policies/{kind}/{policyKey}
Update an existing KMS issuer policy's environments or token claims.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.kms.updateKmsIssuerPolicy({
issuerId: "<id>",
kind: "project-grant",
policyKey: "<value>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"createdAt": "string",
"environments": [],
"kind": "project-grant",
"projectId": "example_id",
"teamId": "example_id",
"tokenClaims": "value",
"updatedAt": "string"
}
AuthorizationbearerToken

Default authentication mechanism

issuerIdstringRequired
The ID of the issuer.
kindstringRequired
The issuer policy kind.
policyKeystringRequired
The policy identifier.
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
environmentsarrayOptional
The environments for the project grant policy. Each entry is a system environment (production, preview, development) or a custom environment ID (env_...).
tokenClaimsobjectOptional
The claims that KMS should include in signed JWTs for this policy. Pass null to remove them.
200Success
createdAtstringRequired
environmentsarrayRequired
Environments whose OIDC tokens this grant authorizes. Each entry is either a system environment slug (production, preview, development) or a custom environment ID (prefixed env_). Custom environments are matched against the token's custom_environment_id claim (the stable ID); system environments against its environment claim.
kindstringRequired
projectIdstringRequired
teamIdstringRequired
tokenClaimsobjectOptional
updatedAtstringRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error